| Home | Libraries | People | FAQ | More

##### basic_stream::cancel

Cancel all asynchronous operations associated with the socket.

###### Synopsis

    void
    cancel();

###### Description

This function causes all outstanding asynchronous connect, read, and write operations to finish immediately. Completion handlers for cancelled operations will receive the error `net::error::operation_aborted`. Completion handlers not yet invoked whose operations have completed, will receive the error corresponding to the result of the operation (which may indicate success).